%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define oname %(echo %{name} | sed -e 's/^ocaml-//')

Name:           ocaml-lwt_ssl
Version:        1.1.3
Release:        %mkrel 11
Summary:        OpenSSL binding with concurrent I/O
License:        LGPLv2+
Group:          Development/OCaml
URL:            https://github.com/aantron/lwt_ssl
Source0:        https://github.com/aantron/lwt_ssl/archive/%{version}/lwt_ssl-%{version}.tar.gz
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-ssl-devel

%description
An Lwt-enabled wrapper around OCaml-SSL, that performs I/O concurrently.
Ocaml-SSL, in turn, is a binding to the much-used OpenSSL.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%files -f .ofiles

%files devel -f .ofiles-devel


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 1.1.3-11.mga10
+ Revision: 2193856
- rebuild for ocaml 5.3.0

* Fri Oct 21 2022 pterjan <pterjan> 1.1.3-10.mga9
+ Revision: 1898163
- Rebuild for new ocaml-ssl

* Sat Oct 15 2022 neoclust <neoclust> 1.1.3-9.mga9
+ Revision: 1896996
- Rebuild against new ocaml-base

* Fri May 20 2022 pterjan <pterjan> 1.1.3-8.mga9
+ Revision: 1859344
- Rebuild for OCaml 4.14

* Wed May 18 2022 pterjan <pterjan> 1.1.3-7.mga9
+ Revision: 1858609
- Rebuild for new ocaml-lwt

* Fri Oct 15 2021 tv <tv> 1.1.3-6.mga9
+ Revision: 1751504
- Rebuild for ocaml 4.13.1

* Sun Jan 10 2021 pterjan <pterjan> 1.1.3-4.mga9
+ Revision: 1670667
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.1.3-3.mga8
+ Revision: 1551805
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.1.3-2.mga8
+ Revision: 1546044
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 1.1.3-1.mga8
+ Revision: 1485778
- imported package ocaml-lwt_ssl

